curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "duplicate",
"clientKey": "YOUR_CLIENT_KEY",
"contract": {
"contractKey": "YOUR_CONTRACT_KEY"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "NEW_CONTRACT_KEY"
},
"code": "201",
"message": "Contract duplicated"
}
Contract
Duplicate contract
Duplicate an existing contract.
POST
/
api
/
contract
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "duplicate",
"clientKey": "YOUR_CLIENT_KEY",
"contract": {
"contractKey": "YOUR_CONTRACT_KEY"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "NEW_CONTRACT_KEY"
},
"code": "201",
"message": "Contract duplicated"
}
When duplicating a contract, the placeholder structure is copied, but all placeholder values are cleared.
Body parameters
object
required
Response
string
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "duplicate",
"clientKey": "YOUR_CLIENT_KEY",
"contract": {
"contractKey": "YOUR_CONTRACT_KEY"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "NEW_CONTRACT_KEY"
},
"code": "201",
"message": "Contract duplicated"
}